# $Revision: 1.24 $, $Date: 2003/04/28 02:53:24 $
Summary:	Font configuration and customization library
Summary(pl):	Biblioteka do konfigurowania fontw
Summary(pt_BR):	Fontconfig  uma biblioteca para configurao e customizao do acesso a fontes
Name:		fontconfig
Version:	2.2.0
Release:	1
Epoch:		1
License:	MIT
Group:		Libraries
Source0:	http://fontconfig.org/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-blacklist.patch
Patch1:		%{name}-make-jN.patch
URL:		http://fontconfig.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ed
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	libtool
Requires(post):	/sbin/ldconfig
Provides:	XFree86-fontconfig
Provides:	%{name}-realpkg = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	XFree86-fontconfig

%description
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

%description -l pl
Fontconfig jest biblioteka przeznaczon do lokalizowania fontw w
systemie i wybierania ich w zalenoci od potrzeb aplikacji.

%description -l pt_BR
Fontconfig  uma biblioteca para configurao e customizao do acesso
a fontes.

%package devel
Summary:	Font configuration and customization library
Summary(pl):	Biblioteka do konfigurowania fontw
Summary(pt_BR):	Fontconfig  uma biblioteca para configurao e customizao do acesso a fontes
Group:		Development/Libraries
Requires:	%{name}-realpkg = %{version}
Requires:	expat-devel
Requires:	freetype-devel
Provides:	%{name}-devel-realpkg = %{version}
Provides:	XFree86-fontconfig-devel
Obsoletes:	XFree86-fontconfig-devel

%description devel
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

This package contains the header files needed to develop programs that
use these fontconfig.

%description devel -l pl
Fontconfig jest biblioteka przeznaczon do lokalizowania fontw w
systemie i wybierania ich w zalenoci od potrzeb aplikacji.

Ten pakiet zawiera pliki nagwkowe potrzebne do kompilowania
programw korzystajcych z biblioteki fontconfig.

%description devel -l pt_BR
Fontconfig  uma biblioteca para configurao e customizao do acesso
a fontes.

%package static
Summary:	Static font configuration and customization library
Summary(pl):	Statyczna biblioteka do konfigurowania fontw
Group:		Development/Libraries
Requires:	%{name}-devel-realpkg = %{version}
Provides:	XFree86-fontconfig-static
Obsoletes:	XFree86-fontconfig-static

%description static
This package contains static version of fontconfig library.

%description static -l pl
Ten pakiet zawiera statyczn wersj biblioteki fontconfig.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure --disable-docs
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install fc-cache/fc-cache.man $RPM_BUILD_ROOT%{_mandir}/man1/fc-cache.1
install fc-list/fc-list.man $RPM_BUILD_ROOT%{_mandir}/man1/fc-list.1

mv -f $RPM_BUILD_ROOT%{_docdir}/%{name} installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
HOME=/root %{_bindir}/fc-cache -f 2> /dev/null

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%dir %{_sysconfdir}/fonts
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/fonts/fonts.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/fonts/local.conf
%{_sysconfdir}/fonts/fonts.dtd
%attr(755,root,root) %{_bindir}/fc-*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files devel
%defattr(644,root,root,755)
%doc installed-docs/fontconfig-devel/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/fontconfig
%{_pkgconfigdir}/fontconfig.pc
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fontconfig.spec,v $
Revision 1.24  2003/04/28 02:53:24  kloczek
- release 1,
- added make-jN patch for allow paralel building using "make -jN",
- added full regenerate ac/am/lt suit,
- merge translations from Conectiva.

Revision 1.23  2003/04/26 23:21:17  qboosh
- added -static package; -devel R: expat-devel
- added devel html documentation to -devel
- added COPYING (required) and ChangeLog (no NEWS file) to base doc

Revision 1.22  2003/04/23 10:42:45  aflinta
- some cleanups, still without docs

Revision 1.21  2003/04/23 08:10:56  aflinta
- updated to version 2.2.0, not sure that all is correct

Revision 1.20  2003/04/14 18:40:58  bszx
- %%{__cc} can contain spaces

Revision 1.19  2003/03/24 08:42:24  misiek
- provides/requires so -devel subpackage will require fontconfig and not XFree86-fontconfig

Revision 1.18  2003/01/28 09:02:16  trojan
- added {Provides,Obsoletes}: XFree86-fontconfig

Revision 1.17  2002/12/17 22:22:44  qboosh
- fixed man1 pages (argh), added fontconfig(3) page, release 8

Revision 1.16  2002/12/17 16:48:42  wrobell
- removed unused patches

Revision 1.15  2002/12/17 11:45:06  aflinta
- removed slighthint patch (obsoleted?), release 7

Revision 1.14  2002/12/11 21:23:30  qboosh
- subdir patch is outdated

Revision 1.13  2002/12/07 23:57:55  djurban
- Updated to fcpackage 2.1
- Rel 6

Revision 1.12  2002/11/03 22:24:06  aflinta
- added slighthint patch
- release 5

Revision 1.11  2002/10/22 21:02:45  misiek
- regenerate fontcache

Revision 1.10  2002/10/22 21:00:35  misiek
- new patches (blacklist, process only valid dirs)

Revision 1.9  2002/10/22 20:12:49  malekith
- release 3

Revision 1.8  2002/10/15 19:37:20  grzegol
- added date patch; rel. 2

Revision 1.7  2002/10/09 07:59:08  trojan
- fixed files

Revision 1.6  2002/10/06 19:38:37  aflinta
- added epoch to allow upgrade from previous packages

Revision 1.5  2002/10/06 18:14:54  qboosh
- fontconfig version is 1.0.1
- changed prep, so --clean works now

Revision 1.4  2002/10/04 12:53:58  trojan
- changed group X11/Libraries to Libraries (this is not X11 only library)
STBR now

Revision 1.3  2002/10/04 12:44:59  trojan
- added lib*.so to devel

Revision 1.2  2002/10/04 12:14:24  qboosh
- updated URLs

Revision 1.1  2002/10/04 11:49:11  trojan
- initial release
STBR
